> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trlyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ancillary bids by product keys



## OpenAPI

````yaml https://api.trlyr.com/physical-assets/docs/doc.json get /physical-assets/{physicalAssetID}/ancillary/bids-by-product-keys
openapi: 3.1.0
info:
  description: >
    This API manages physical assets on the terralayr platform: asset
    parameters, schedules, ancillary bids and results, metadata, logbook
    entries, unavailabilities, and EEX notifications. 
     
    Endpoints documented here require a valid Bearer token and the appropriate
    organisation permissions for the physical asset. 
     
    ### Authorization 
     
    All documented endpoints require a Bearer-type `Authorization` header: 
     
    ``` 

    Authorization: Bearer <YOUR_TOKEN> 

    ``` 
     
    Obtain a token via the Auth API: 
     
    ``` 

    POST https://api.trlyr.com/auth/public/authenticate 

    ``` 
     
    Example POST body: 
     
    ``` 

    { 
        "username": "YOUR_USERNAME", 
        "password": "YOUR_PASSWORD" 
    } 

    ``` 
     
     
    If you have any questions, contact support@trlyr.com. 
  title: terralayr Physical Assets API
  version: 1.0.0
servers:
  - description: Production API
    url: https://api.trlyr.com
  - description: Sandbox API
    url: https://api.sandbox.trlyr.com
security: []
tags:
  - name: health
  - name: physical-assets
  - name: schedule
  - name: ancillary
  - name: metadata
  - name: logbook
  - name: eex
externalDocs:
  description: ''
  url: ''
paths:
  /physical-assets/{physicalAssetID}/ancillary/bids-by-product-keys:
    get:
      tags:
        - ancillary
      summary: Get ancillary bids by product keys
      parameters:
        - description: Access token
          in: header
          name: Authorization
          required: true
          schema:
            default: Bearer <access token value>
            type: string
        - description: Physical asset ID
          in: path
          name: physicalAssetID
          required: true
          schema:
            format: uuid
            type: string
        - description: Comma-separated product date codes (e.g. 2025-11-11_NEGPOS_00_04)
          in: query
          name: product-keys
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/pkg_models_http_v0_responses.ProductBidsBody
                type: array
          description: OK
        '400':
          description: Bad Request
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    pkg_models_http_v0_responses.ProductBidsBody:
      properties:
        bids:
          items:
            $ref: '#/components/schemas/pkg_models_http_v0_responses.BidBody'
          type: array
          uniqueItems: false
        deliveryDay:
          example: '2025-11-11'
          type: string
        product:
          example: NEGPOS_00_04
          type: string
        productDateCode:
          example: 2025-11-11_NEGPOS_00_04
          type: string
      required:
        - deliveryDay
        - product
        - productDateCode
      type: object
    pkg_models_http_v0_responses.BidBody:
      properties:
        capacityPrice:
          description: In Euro
          example: 100.5
          format: float
          type: number
        energyPrice:
          description: In Euro
          example: 100.5
          format: float
          type: number
        id:
          format: uuid
          type: string
        offeredCapacity:
          description: In kW
          example: 1000
          format: float
          type: number
        status:
          description: In Euro
          format: string
          type: string
      required:
        - capacityPrice
        - id
        - offeredCapacity
      type: object

````